package org.dromara.mp.service;

import org.dromara.mp.domain.UserWorkCheckin;
import org.dromara.mp.domain.vo.UserWorkCheckinVo;
import org.dromara.mp.domain.bo.UserWorkCheckinBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 自雇者打卡记录Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IUserWorkCheckinService {

    /**
     * 查询自雇者打卡记录
     */
    UserWorkCheckinVo queryById(Long id);

    /**
     * 查询自雇者打卡记录列表
     */
    TableDataInfo<UserWorkCheckinVo> queryPageList(UserWorkCheckinBo bo, PageQuery pageQuery);

    /**
     * 查询自雇者打卡记录列表
     */
    List<UserWorkCheckinVo> queryList(UserWorkCheckinBo bo);

    /**
     * 新增自雇者打卡记录
     */
    Boolean insertByBo(UserWorkCheckinBo bo);

    /**
     * 修改自雇者打卡记录
     */
    Boolean updateByBo(UserWorkCheckinBo bo);

    /**
     * 校验并批量删除自雇者打卡记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
